[SCM] Samba Shared Repository - branch v3-2-test updated - release-3-2-0pre2-2758-g90f3357

Michael Adam obnox at samba.org
Mon Jul 21 09:51:53 GMT 2008


The branch, v3-2-test has been updated
       via  90f33570e45159193d9336c742bf53d51573849b (commit)
       via  4038363b72eb852d462234a1ec85c3cc68765f0d (commit)
      from  0dbb8def6b9647bb01f4544361cb87bafdfb3fc8 (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=v3-2-test


- Log -----------------------------------------------------------------
commit 90f33570e45159193d9336c742bf53d51573849b
Author: Michael Adam <obnox at samba.org>
Date:   Mon Jul 21 11:23:55 2008 +0200

    testsuite: fix expr error on Tru64, triggered by uninitialized failed variable.
    
    Michael
    (cherry picked from commit 25cd227aaecf91dfa3114ae0fd2b47c783434aad)

commit 4038363b72eb852d462234a1ec85c3cc68765f0d
Author: Michael Adam <obnox at samba.org>
Date:   Mon Jul 21 11:17:36 2008 +0200

    testsuite: fix another expr syntax error. in tests_all.sh.
    
    Michael
    (cherry picked from commit 486b1bc5b5021565ec443fd463c8287c02c686b3)

-----------------------------------------------------------------------

Summary of changes:
 source/script/tests/tests_all.sh |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source/script/tests/tests_all.sh b/source/script/tests/tests_all.sh
index e44ec8b..2b46da0 100755
--- a/source/script/tests/tests_all.sh
+++ b/source/script/tests/tests_all.sh
@@ -51,7 +51,7 @@ net_s3() {
 testparm_s3() {
 	echo "RUNNING TESTS testparm_s3"
 	$SCRIPTDIR/test_testparm_s3.sh \
-	|| failed=`expr $failed +$?`
+	|| failed=`expr $failed + $?`
 }
 
 posix_s3() {
@@ -73,6 +73,8 @@ posix_s3() {
 	fi
 }
 
+failed=0
+
 if test "x$TESTS" = "x" ; then
 	local_s3
 	smbtorture_s3


-- 
Samba Shared Repository


More information about the samba-cvs mailing list